Agora Java API Reference for Android

Public Attributes | List of all members
agora::rtc::LocalVideoStats Struct Reference

The statistics of the local video stream. More...

`#include <IAgoraRtcEngine.h>`

## Public Attributes
uid_t | uid
int | sentBitrate
int | sentFrameRate
int | captureFrameRate
int | captureFrameWidth
int | captureFrameHeight
int | regulatedCaptureFrameRate
int | regulatedCaptureFrameWidth
int | regulatedCaptureFrameHeight
int | encoderOutputFrameRate
int | encodedFrameWidth
int | encodedFrameHeight
int | rendererOutputFrameRate
int | targetBitrate
int | targetFrameRate
QUALITY_ADAPT_INDICATION | qualityAdaptIndication
int | encodedBitrate
int | encodedFrameCount
VIDEO_CODEC_TYPE | codecType
unsigned short | txPacketLossRate
CAPTURE_BRIGHTNESS_LEVEL_TYPE | captureBrightnessLevel
bool | dualStreamEnabled
int | hwEncoderAccelerating
VideoDimensions | simulcastDimensions [SimulcastConfig::STREAM_LAYER_COUNT_MAX]
int | encodedFrameDepth

## Detailed Description

The statistics of the local video stream.

## Member Data Documentation

## ◆ uid

uid_t agora::rtc::LocalVideoStats::uid

The ID of the local user.

## ◆ sentBitrate

int agora::rtc::LocalVideoStats::sentBitrate

The actual bitrate (Kbps) while sending the local video stream.

Note
  This value does not include the bitrate for resending the video after packet loss.

## ◆ sentFrameRate

int agora::rtc::LocalVideoStats::sentFrameRate

The actual frame rate (fps) while sending the local video stream.

Note
  This value does not include the frame rate for resending the video after packet loss.

## ◆ captureFrameRate

int agora::rtc::LocalVideoStats::captureFrameRate

The frame rate (fps) for capturing the local video stream.

## ◆ captureFrameWidth

int agora::rtc::LocalVideoStats::captureFrameWidth

The width (px) for capturing the local video stream.

## ◆ captureFrameHeight

int agora::rtc::LocalVideoStats::captureFrameHeight

The height (px) for capturing the local video stream.

## ◆ regulatedCaptureFrameRate

int agora::rtc::LocalVideoStats::regulatedCaptureFrameRate

The frame rate (fps) adjusted by the built-in video capture adapter (regulator) of the SDK for capturing the local video stream. The regulator adjusts the frame rate of the video captured by the camera according to the video encoding configuration.

## ◆ regulatedCaptureFrameWidth

int agora::rtc::LocalVideoStats::regulatedCaptureFrameWidth

The width (px) adjusted by the built-in video capture adapter (regulator) of the SDK for capturing the local video stream. The regulator adjusts the height and width of the video captured by the camera according to the video encoding configuration.

## ◆ regulatedCaptureFrameHeight

int agora::rtc::LocalVideoStats::regulatedCaptureFrameHeight

The height (px) adjusted by the built-in video capture adapter (regulator) of the SDK for capturing the local video stream. The regulator adjusts the height and width of the video captured by the camera according to the video encoding configuration.

## ◆ encoderOutputFrameRate

int agora::rtc::LocalVideoStats::encoderOutputFrameRate

The output frame rate (fps) of the local video encoder.

## ◆ encodedFrameWidth

int agora::rtc::LocalVideoStats::encodedFrameWidth

The width of the encoded video (px).

## ◆ encodedFrameHeight

int agora::rtc::LocalVideoStats::encodedFrameHeight

The height of the encoded video (px).

## ◆ rendererOutputFrameRate

int agora::rtc::LocalVideoStats::rendererOutputFrameRate

The output frame rate (fps) of the local video renderer.

## ◆ targetBitrate

int agora::rtc::LocalVideoStats::targetBitrate

The target bitrate (Kbps) of the current encoder. This is an estimate made by the SDK based on the current network conditions.

## ◆ targetFrameRate

int agora::rtc::LocalVideoStats::targetFrameRate

The target frame rate (fps) of the current encoder.

## ◆ qualityAdaptIndication

QUALITY_ADAPT_INDICATION agora::rtc::LocalVideoStats::qualityAdaptIndication

The quality adaptation of the local video stream in the reported interval (based on the target frame rate and target bitrate). See `QUALITY_ADAPT_INDICATION`.

## ◆ encodedBitrate

int agora::rtc::LocalVideoStats::encodedBitrate

The bitrate (Kbps) while encoding the local video stream.

Note
  This value does not include the bitrate for resending the video after packet loss.

## ◆ encodedFrameCount

int agora::rtc::LocalVideoStats::encodedFrameCount

The number of the sent video frames, represented by an aggregate value.

## ◆ codecType

VIDEO_CODEC_TYPE agora::rtc::LocalVideoStats::codecType

The codec type of the local video. See `VIDEO_CODEC_TYPE`.

## ◆ txPacketLossRate

unsigned short agora::rtc::LocalVideoStats::txPacketLossRate

The video packet loss rate (%) from the local client to the Agora server before applying the anti-packet loss strategies.

## ◆ captureBrightnessLevel

CAPTURE_BRIGHTNESS_LEVEL_TYPE agora::rtc::LocalVideoStats::captureBrightnessLevel

The brightness level of the video image captured by the local camera. See `CAPTURE_BRIGHTNESS_LEVEL_TYPE`.

## ◆ dualStreamEnabled

bool agora::rtc::LocalVideoStats::dualStreamEnabled

Whether we send dual stream now.

## ◆ hwEncoderAccelerating

int agora::rtc::LocalVideoStats::hwEncoderAccelerating

The local video encoding acceleration type.

- 0: Software encoding is applied without acceleration.
- 1: Hardware encoding is applied for acceleration.

## ◆ simulcastDimensions

VideoDimensions agora::rtc::LocalVideoStats::simulcastDimensions[SimulcastConfig::STREAM_LAYER_COUNT_MAX]

The dimensions of the simulcast streams's encoding frame.

## ◆ encodedFrameDepth

int agora::rtc::LocalVideoStats::encodedFrameDepth

@technical preview The encodedFrameDepth of the local video:

- SDR = 8.
- HDR = 10.